Error en migraciónde 2.5.28 a J3  

 
Mediterrania
 Mediterrania
Reputable Member

Hola
Quiero hacer la migración de la web de joomla 2.5.28 a la rama 3.
Para ello me estoy valiendo de una copia clonada que he instalado en el dominio caravaning.cat
En el momento que hago la migración con el componente joomlaupdate acabo quedándome con todo en blanco, supongo que con un error de php que no veo (lo he intentado diversas veces y acabo volviendo a empezar de cero). He probado también instalando joomla 3 como extensión.

Todos los componentes, módulos, etc. que yo sepa están a su última versión válida para J3 (excepto Listbingo 2.0.2 que no encuentro en ningún sitio información de si es válido para J3). Los que sé que no son válidos para la rama 3 los deshabilito previamente a la migración ya que no quiero perder los datos de configuración. Es correcto el proceder ?
Akeeba está desinstalado.

Agradeceré una orientación.

URL del sitio: Contenido solo visible a usuarios registrados

Los anillos de tu vida están en nupcialix.es

Citar
Respondido : 28/03/2015 12:44 am
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Puedes revisar el siguiente articulo de blog:

En el articulo se especifica que hacer en caso de que se muestre una pantalla blanca.

Si nuestra ayuda te ha sido útil, déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 28/03/2015 2:35 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Mediterrania
 Mediterrania
Reputable Member

Gracias pero este artículo -y otros cuantos- los revisé antes de abrir el post...

Tengo componentes que están actualizados a su última versión en J25 pero que no es válida para J3.
Antes de hacer la migración ( y para no se pierdan los datos) se inhabilitan o desactivan en el gestor de extensiones o hay que desinstalarlos y luego volver a instalar el paquete válido para J3 ?
Tengo la impresión que si los desinstalo pierdo la información.

Los anillos de tu vida están en nupcialix.es

ResponderCitar
Respondido : 28/03/2015 10:19 am
Mediterrania
 Mediterrania
Reputable Member

He probado a deshabilitar los elementos no válidos y he intentado instalar la versión de J.3.1.5. que comentáis en el artículo.

El resultado ha sido que queda todo en blanco -igual que las veces anteriores- con la dirección http://caravaning.cat/administrator/index.php?option=com_installer&view=install en la barra.

La configuración de visualización de errores está al máximo, pero no aparece nada.

Los anillos de tu vida están en nupcialix.es

ResponderCitar
Respondido : 28/03/2015 10:48 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Lorena
 Lorena
Miembro Moderator

Hola,

Realiza una revisión de tu cuenta con nuestro asistente Stephan para ver si muestra algún error. En caso afirmativo péganoslo en la respuesta para revisar. También puede mirar en el fichero error_log de la carpeta donde tienes instalada la web.

Para realizar la revisión, en tu área de cliente pulsas en Crear ticket -> consultar sobre esta cuenta. En la siguiente página que te muestra baja hasta Abrir ticket de soporte hosting: y pulsa en Revisar cuenta y escribir ticket y pulsa en Revisar cuenta de cPanel.

De esta forma podremos ver si hay algún problema. Podría ser por ejemplo tema de la versión PHP de tu cuenta.

Un saludo.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 28/03/2015 11:55 am
Mediterrania
 Mediterrania
Reputable Member

Hola,

Antes de abrir el post hice lo que me comentas y me respondieron que tenía que abrir un post. El ticket está abierto

Los anillos de tu vida están en nupcialix.es

ResponderCitar
Respondido : 28/03/2015 12:28 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Lorena
 Lorena
Miembro Moderator

Hola,

No, no me he debido de explicar bien. No te decía que abrieras un ticket, sino que realices un análisis con Stephan (y te indicaba los pasos para lanzar el análisis hasta llegar a la opción Revisar cuenta de cPanel ) pero no debes crear el ticket, sólo seguir los pasos que te puse para poder hacer el análisis.

Una vez hecho el análisis si te muestra errores, pégalos aquí para que revisemos.

También te decía que mires en el fichero error_log de la carpeta de tu web, si hay errores recientes.

Un saludo.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 28/03/2015 12:49 pm
Mediterrania
 Mediterrania
Reputable Member

En el análisis no daba errores en el error_log, sí, muchos, casi todos repetidos:

PHP Warning: ini_set() has been disabled for security reasons in /home2/XXXXX/public_html/XXXXXX/libraries/joomla/language/language.php on line 841 también en línea 863

PHP Catchable fatal error: Argument 4 passed to JPluginHelper::importPlugin() must be an instance of JEventDispatcher, instance of GEventDispatcher given, called in /home2/xxxx/public_html/xxxxxx/plugins/system/gobingoo/gobingoo.php on line 110 and defined in /home2/xxxxxxx/public_html/xxxxxx/libraries/joomla/plugin/helper.php on line 148

[28-Mar-2015 11:04:26 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home2/xxxxxx/public_html/xxxxx/includes/framework.php on line 74

[28-Mar-2015 11:04:26 Europe/Berlin] PHP Warning: ini_set() has been disabled for security reasons in /home2/xx/public_html/xxxxxx/libraries/joomla/session/session.php on line 120 también en línea 123 y 921

Los anillos de tu vida están en nupcialix.es

ResponderCitar
Respondido : 28/03/2015 1:15 pm

Cursos Gratuitos WordPress

Lorena
 Lorena
Miembro Moderator

Hola,

En el error PHP Catchable fatal error: Argument 4 passed to JPluginHelper::importPlugin() must be an instance of JEventDispatcher, instance of GEventDispatcher given, called in /home2/xxxx/public_html/xxxxxx/plugins/system/gobingoo/gobingoo.php on line 110 and defined in /home2/xxxxxxx/public_html/xxxxxx/libraries/joomla/plugin/helper.php on line 148

Podría ser un problema con el plugin, ¿antes de hacer la actualización lo habías desactivado?

Un saludo.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 28/03/2015 2:16 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Mediterrania,

El artículo correcto que deberías usar para una actualización (no es una migración) desde Joomla 2.5.28 a Joomla 3.4.1 es el siguiente:

- https://www.webempresa.com/blog/item/1752-pasos-para-actualizar-a-joomla-3-4.html

Importante:

- Si utilizas Akeeba Backup en Joomla 2.5.28 "desinstálalo después de hacer un backup", luego ejecuta la actualización y si toda va bien podrás volver a instalar Akeeba Backup en Joomla 3.4.1 si lo deseas.

Este procedimiento es efectivo 100% y no falla si se siguen los pasos del citado artículo.

No hace falta hacer clonaciones de la web ni cosas raras. Apenas es un proceso de 5 minutos.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 28/03/2015 7:42 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Mediterrania
 Mediterrania
Reputable Member

Gracias Luis pero no estoy de acuerdo ya que esta actualización no es igual que las que se hacían dentro de la misma rama 2.5 o las que se hacen dentro de la rama 3.x
El hacer una actualización como esta sobre un clon me da la seguridad que si tengo algún problema, con volver atrás y volver a empezar con la copia de seguridad se soluciona. Mientras la web en producción sigue funcionando...
He podido actualizar a 3.4.1 pero sigo teniendo un problema que está en el componente listbingo 2.0.1, no encuentro en ningún sitio de su documentación si es válido para joomla 3 pero en el momento que lo habilito se me queda todo en blanco.
Me gustaría poderlo mantener.

En el error log tengo:
[28-Mar-2015 23:00:12 Europe/Berlin] PHP Fatal error: Class 'GFactory' not found in /home2/xxx/public_html/caravaning.cat/components/com_listbingo/listbingo.php on line 2
[28-Mar-2015 23:02:15 Europe/Berlin] PHP Fatal error: Class 'GFactory' not found in /home2/xxx/public_html/caravaning.cat/modules/mod_lbads/helper.php on line 14

Sabéis si se puede solucionar sin cambiar de componente ?

Los anillos de tu vida están en nupcialix.es

ResponderCitar
Respondido : 28/03/2015 11:47 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola,

Respeto que no estés de acuerdo, pero sigo indicando que es el procedimiento adecuado, explicado en el artículo, donde entre otros puntos se detalla que hay que analizar si las extensiones disponibles en Joomla 2.5.28 existen para Joomla 3.4.

- https://www.webempresa.com/blog/item/1752-pasos-para-actualizar-a-joomla-3-4.html

He podido actualizar a 3.4.1 pero sigo teniendo un problema que está en el componente listbingo 2.0.1, no encuentro en ningún sitio de su documentación si es válido para joomla 3 pero en el momento que lo habilito se me queda todo en blanco.

Listbingo está disponible para Joomla 3.2, pero el autor no lo actualiza desde el año pasado por lo que dudo que sea compatible con Joomla 3.4, punto que deberías haber analizado antes de haber actualizado.

- http://extensions.joomla.org/extensions/extension/ads-a-affiliates/classified-ads/listbingo

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 29/03/2015 12:45 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Mediterrania
 Mediterrania
Reputable Member

La versión que tengo de LIstbingo 2.0.2 es gratuita y las otras más nuevas ya son de pago.
Para el lo poco que lo uso, si no puedo solucionarlo con esta versión lo eliminaré y buscaré una alternativa.

Gracias Luis,

Los anillos de tu vida están en nupcialix.es

ResponderCitar
Respondido : 29/03/2015 10:34 pm

Por favor Iniciar Sesión o Registro